<?php
defined('TYPO3_MODE') || die('Access denied.');
$t3version = \TYPO3\CMS\Core\Utility\VersionNumberUtility::getCurrentTypo3Version();

if ($t3version > 8) {
	array_splice(
		$GLOBALS['TCA']['tt_content']['columns']['CType']['config']['items'],
		8,
		0,
		array(
			array(
				'YouTube Video',
				'youtubevideo_pi1',
				'extensions-youtubevideo-type-xyz'
			)
		)
	);
} else {
	array_splice(
		$GLOBALS['TCA']['tt_content']['columns']['CType']['config']['items'],
		5,
		0,
		array(
			array(
				'YouTube Video',
				'youtubevideo_pi1',
				'extensions-youtubevideo-type-xyz'
			)
		)
	);
}

$tempColumns = array(
	'tx_youtubevideo_url' => array(
		'exclude' => 0,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_url.title',
		'config' => array(
			'type' => 'input',
			'size' => '50',
			'eval' => 'required',
			'requiredCond' => '!field',
		),
	),
	'tx_youtubevideo_caption' => array(
		'exclude' => 1,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_caption.title',
		'config' => array(
			'type' => 'input',
			'size' => '50',
		),
	),
	'tx_youtubevideo_autoplay' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_autoplay.title',
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.enable',
                 ),
            ),
		),
	),
	'tx_youtubevideo_showinfo' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_showinfo.title',
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:lang/locallang_core.xlf:labels.show',
                 ),
            ),
		),
	),
    'tx_youtubevideo_rel' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_rel.title',
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:lang/locallang_core.xlf:labels.show',
                 ),
            ),
		),
	),
	'tx_youtubevideo_startminute' => array(
		'exclude' => 0,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_startminute.title',
		'config' => array(
			'type' => 'input',
			'size' => '1',
		),
	),
	'tx_youtubevideo_startsecond' => array(
		'exclude' => 0,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_startsecond.title',
		'config' => array(
			'type' => 'input',
			'size' => '1',
		),
	),
	'tx_youtubevideo_ratio' => array(
        'exclude' => 1,
        'label'   => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_ratio.title',
        'config'  => array(
            'type'     => 'select',
            'items'    => array(), /* items set in page TsConfig */
            'size'     => 1,
            'maxitems' => 1
        )
    ),
    'tx_youtubevideo_fullscreen' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_fullscreen.title',
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.disable',
                 ),
            ),
		),
	),
	'tx_youtubevideo_loop' => array (
		'exclude' => 1,
		'label' => 'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo_loop.title',
		'config' => array (
			'type' => 'check',
			'items' => array(
                 array(
                 	'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.enable',
                 ),
            ),
		),
	),
);
	
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $tempColumns);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addLLrefForTCAdescr('tt_content', 'EXT:youtubevideo/Resources/Private/Language/locallang_db.xml');

if ($t3version > 8) {
	$GLOBALS['TCA']['tt_content']['types']['youtubevideo_pi1']['showitem'] = '
		--div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:general,
            --palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.general;general,
            --palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.headers;headers,
            --palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title;youtubevideoMain,
			--palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.settings;youtubevideoSettings,
        --div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance,
            --palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.frames;frames,
            --palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.appearanceLinks;appearanceLinks,
        --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:language,
            --palette--;;language,
        --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:access,
            --palette--;;hidden,
            --palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,
        --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:categories,
            categories,
        --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:notes,
            rowDescription,
        --div--;LLL:EXT:core/Resources/Private/Language/Form/locallang_tabs.xlf:extended
		--div--;LLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category,categories,
		--div--;LLL:EXT:gridelements/Resources/Private/Language/locallang_db.xlf:gridElements, tx_gridelements_container, tx_gridelements_columns
	';
			
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoMain']['showitem'] = '
		tx_youtubevideo_url,
		--linebreak--,
		tx_youtubevideo_caption';
	
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoMain']['canNotCollapse'] = 1;
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoSettings']['showitem'] = '
		tx_youtubevideo_ratio,tx_youtubevideo_startminute,tx_youtubevideo_startsecond,
		--linebreak--,
		tx_youtubevideo_autoplay,tx_youtubevideo_showinfo,tx_youtubevideo_rel,tx_youtubevideo_fullscreen,tx_youtubevideo_loop,
	';



	$GLOBALS['TCA']['tt_content']['ctrl']['typeicon_classes']['youtubevideo_pi1'] =  'youtubevideo_icon';

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
		array(
			'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title',
			'youtubevideo_pi1',
			'EXT:youtubevideo/Resources/Public/Images/Icons/ext_icon_content.svg'
		),
		'CType',
		'youtubevideo'
	);
}
elseif ($t3version > 7) {
	$GLOBALS['TCA']['tt_content']['types']['youtubevideo_pi1']['showitem'] = '
	--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.general;general,
	--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.header;header,
	--palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title;youtubevideoMain,
	--palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.settings;youtubevideoSettings,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.appearance,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.frames;frames,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.access,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.visibility;visibility,
		--palette--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:palette.access;access,
	--div--;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:tabs.extended,rowDescription,
	--div--;LLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category,categories,tx_gridelements_container,tx_gridelements_columns';
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoMain']['showitem'] = '
		tx_youtubevideo_url,
		--linebreak--,
		tx_youtubevideo_caption';
	
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoMain']['canNotCollapse'] = 1;
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoSettings']['showitem'] = '
		tx_youtubevideo_ratio,tx_youtubevideo_startminute,tx_youtubevideo_startsecond,
		--linebreak--,
		tx_youtubevideo_autoplay,tx_youtubevideo_showinfo,tx_youtubevideo_rel,tx_youtubevideo_fullscreen,tx_youtubevideo_loop,
	';

	$GLOBALS['TCA']['tt_content']['columns']['section_frame']['config']['items'][0] = array(
	    'LLL:EXT:css_styled_content/Resources/Private/Language/locallang_db.xlf:tt_content.tx_cssstyledcontent_section_frame.I.0', '0'
	);

	$GLOBALS['TCA']['tt_content']['columns']['section_frame']['config']['items'][9] = array(
	    'LLL:EXT:css_styled_content/Resources/Private/Language/locallang_db.xlf:tt_content.tx_cssstyledcontent_section_frame.I.9', '66'
	);

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::makeCategorizable('css_styled_content', 'tt_content', 'categories', array(), true);
	$GLOBALS['TCA']['tt_content']['ctrl']['typeicon_classes']['youtubevideo_pi1'] =  'youtubevideo_icon';

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
		array(
			'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title',
			'youtubevideo_pi1',
			'EXT:youtubevideo/Resources/Public/Images/Icons/ext_icon_content.svg'
		),
		'CType',
		'youtubevideo'
	);
} else {
	$GLOBALS['TCA']['tt_content']['types']['youtubevideo_pi1']['showitem'] = '
	--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.general;general,
		
	    --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.header;header,
	    
	    --palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title;youtubevideoMain,
	    --palette--;LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.settings;youtubevideoSettings,
	    
	    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.appearance,
	    	--palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.frames;frames,
	    
	    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.access,
	        --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.visibility;visibility,
	        --palette--;LLL:EXT:cms/locallang_ttc.xlf:palette.access;access,
	
	    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.behaviour,
	    
	    --div--;LLL:EXT:cms/locallang_ttc.xlf:tabs.extended,
	    --div--;LLL:EXT:lang/locallang_tca.xlf:sys_category.tabs.category,categories,tx_gridelements_container,tx_gridelements_columns';
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoMain']['showitem'] = '
		tx_youtubevideo_url,
		--linebreak--,
		tx_youtubevideo_caption';
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoMain']['canNotCollapse'] = 1;
	$GLOBALS['TCA']['tt_content']['palettes']['youtubevideoSettings']['showitem'] = '
		tx_youtubevideo_ratio,tx_youtubevideo_startminute,tx_youtubevideo_startsecond,
		--linebreak--,
		tx_youtubevideo_autoplay,tx_youtubevideo_showinfo,tx_youtubevideo_rel,tx_youtubevideo_fullscreen,tx_youtubevideo_loop,
	';
	$GLOBALS['TCA']['tt_content']['ctrl']['typeicons']['youtubevideo_pi1'] = \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::extRelPath('youtubevideo') . 'ext_icon_sml.gif';
	$GLOBALS['TCA']['tt_content']['ctrl']['typeicon_classes']['youtubevideo_pi1'] =  'extensions-youtubevideo-type-xyz';

	\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addPlugin(
		array(
			'LLL:EXT:youtubevideo/Resources/Private/Language/locallang_db.xml:tx_youtubevideo.title',
			'youtubevideo_pi1',
			$GLOBALS['TCA']['tt_content']['ctrl']['typeicons']['youtubevideo_pi1']
		),
		'CType',
		'youtubevideo'
	);
} 

